## multiprocess 0.70.18

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = multiprocess
SOURCEDIR     = source
BUILDDIR      = build

# Internal variables
ALLSPHINXOPTS = $(SPHINXOPTS) $(SOURCEDIR)

# Put it first so that "make" without argument is like "make help".
help:
	@echo "Please use \`make html' to generate standalone HTML files"

.PHONY: help clean html Makefile

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)

## multiprocess 0.70.9

=== debian/changelog ===
multiprocess (0.70.9-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Initial release; Closes: #941568

 -- Sandro Tosi <morph@debian.org>  Fri, 05 Jun 2020 22:21:14 -0400

=== debian/control ===
Source: multiprocess
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-dill (>= 0.3.1) <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/multiprocess
Vcs-Git: https://salsa.debian.org/python-team/modules/multiprocess.git
Homepage: https://github.com/uqfoundation/multiprocess

Package: python3-multiprocess
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-dill (>= 0.3.1)
Description: better multiprocessing and multithreading in Python
 Multiprocess is a fork of multiprocessing, and is developed as part of
 pathos.  It uses dill to serialize objects.
 .
 Multiprocessing is a package for the Python language which supports the
 spawning of processes using the API of the standard library's threading
 module. multiprocessing has been distributed in the Python standard library.
 .
 Features:
  * Objects can be transferred between processes using pipes or
    multi-producer/multi-consumer queues.
  * Objects can be shared between processes using a server process or
    (for simple data) shared memory.
  * Equivalents of all the synchronization primitives in threading are
    available.
  * A Pool class makes it easy to submit tasks to a pool of worker
    processes.
 .
 Multiprocess is part of pathos, a Python framework for heterogeneous
 computing. multiprocess is in active development, so any user feedback,
 bug reports, comments, or suggestions are highly appreciated.

## multiprocess 0.70.10

=== debian/changelog ===
multiprocess (0.70.10-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
  * debian/control
    - bump deps on dill to >= 0.3.2

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jul 2020 02:15:57 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-dill (>= 0.3.1) <!nocheck>
+               python3-dill (>= 0.3.2) <!nocheck>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/multiprocess
 Vcs-Git: https://salsa.debian.org/python-team/modules/multiprocess.git
@@ -17,7 +17,7 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-dill (>= 0.3.1)
+         python3-dill (>= 0.3.2)
 Description: better multiprocessing and multithreading in Python
  Multiprocess is a fork of multiprocessing, and is developed as part of
  pathos.  It uses dill to serialize objects.

## multiprocess 0.70.11.1

=== debian/changelog ===
multiprocess (0.70.11.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - bump deps on dill to >= 0.3.3

 -- Sandro Tosi <morph@debian.org>  Tue, 10 Nov 2020 19:40:25 -0500

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-dill (>= 0.3.2) <!nocheck>
+               python3-dill (>= 0.3.3) <!nocheck>
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/multiprocess
-Vcs-Git: https://salsa.debian.org/python-team/modules/multiprocess.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/multiprocess
+Vcs-Git: https://salsa.debian.org/python-team/packages/multiprocess.git
 Homepage: https://github.com/uqfoundation/multiprocess
 
 Package: python3-multiprocess
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-dill (>= 0.3.2)
+         python3-dill (>= 0.3.3)
 Description: better multiprocessing and multithreading in Python
  Multiprocess is a fork of multiprocessing, and is developed as part of
  pathos.  It uses dill to serialize objects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=multiprocess

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

https://github.com/uqfoundation/multiprocess/releases .*/archive/multiprocess@ANY_VERSION@@ARCHIVE_EXT@

## multiprocess 0.70.12.2

=== debian/changelog ===
multiprocess (0.70.12.2-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - fix github tracking rules
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Oct 2021 00:15:50 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,

=== debian/watch ===
version=4

https://github.com/uqfoundation/multiprocess/releases .*/multiprocess@ANY_VERSION@@ARCHIVE_EXT@

## multiprocess 0.70.15

=== debian/changelog ===
multiprocess (0.70.15-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Tosi ]
  * New upstream release (Closes: #1049836)
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)

  [ Benjamin Drung ]
  * Bump required python3-dill version to >= 0.3.7
  * Switch to debhelper 13
  * Set Rules-Requires-Root
  * Remove generated */multiprocess/__info__.py files on clean

 -- Benjamin Drung <bdrung@debian.org>  Fri, 20 Oct 2023 12:48:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-dill (>= 0.3.3) <!nocheck>
-Standards-Version: 4.5.0
+               python3-dill (>= 0.3.7) <!nocheck>
+Rules-Requires-Root: no
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/multiprocess
 Vcs-Git: https://salsa.debian.org/python-team/packages/multiprocess.git
 Homepage: https://github.com/uqfoundation/multiprocess
@@ -17,7 +18,7 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-dill (>= 0.3.3)
+         python3-dill (>= 0.3.7)
 Description: better multiprocessing and multithreading in Python
  Multiprocess is a fork of multiprocessing, and is developed as part of
  pathos.  It uses dill to serialize objects.

## multiprocess 0.70.16

=== debian/changelog ===
multiprocess (0.70.16-2) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 13:58:30 -0500

multiprocess (0.70.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Test failure is now fixed. (Closes: #1058089)
    + Caveat: this package must be built again during the python3.12-default
      transition.
  * debian/control: Bump version requirement of python3-dill package.
  * debian/watch: Fix upstream monitoring script with GitHub API.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Jan 2024 03:02:30 -0500

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-dill (>= 0.3.7) <!nocheck>
+               python3-dill (>= 0.3.8) <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2.0
-Vcs-Browser: https://salsa.debian.org/python-team/packages/multiprocess
-Vcs-Git: https://salsa.debian.org/python-team/packages/multiprocess.git
+Vcs-Browser: https://salsa.debian.org/morph/multiprocess
+Vcs-Git: https://salsa.debian.org/morph/multiprocess.git
 Homepage: https://github.com/uqfoundation/multiprocess
 
 Package: python3-multiprocess
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-dill (>= 0.3.7)
+         python3-dill (>= 0.3.8)
 Description: better multiprocessing and multithreading in Python
  Multiprocess is a fork of multiprocessing, and is developed as part of
  pathos.  It uses dill to serialize objects.

## multiprocess 0.70.17

=== debian/changelog ===
multiprocess (0.70.17-1) unstable; urgency=medium

  * New upstream release; Closes: #1086663
  * debian/control
    - bump Standards-Version to 4.7.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 18 Nov 2024 02:15:01 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-setuptools,
                python3-dill (>= 0.3.8) <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/morph/multiprocess
 Vcs-Git: https://salsa.debian.org/morph/multiprocess.git
 Homepage: https://github.com/uqfoundation/multiprocess

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/uqfoundation/multiprocess/releases?per_page=100 \
 https://api.github.com/repos/uqfoundation/multiprocess/tarball/@ANY_VERSION@

## multiprocess 0.70.18

=== debian/changelog ===
multiprocess (0.70.18-2) unstable; urgency=medium

  * debian/pybuild.testfiles
    - install tests files for pybuild to find
  * debian/control
    - run autopkgtest via autopkgtest-pkg-pybuild

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Oct 2025 00:14:35 -0400

multiprocess (0.70.18-1) unstable; urgency=medium

  * New upstream release; Closes: #1112650

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Sep 2025 02:05:33 -0400

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/morph/multiprocess
 Vcs-Git: https://salsa.debian.org/morph/multiprocess.git
 Homepage: https://github.com/uqfoundation/multiprocess
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-multiprocess
 Architecture: all

## multiprocess 0.70.19

=== debian/changelog ===
multiprocess (0.70.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.70.19
    + Test failure is now fixed. (Closes: #1125027)

 -- Christian Bayle <bayle@debian.org>  Tue, 03 Feb 2026 01:32:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-dill (>= 0.3.8) <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/morph/multiprocess
-Vcs-Git: https://salsa.debian.org/morph/multiprocess.git
+Standards-Version: 4.6.2.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/multiprocess
+Vcs-Git: https://salsa.debian.org/python-team/packages/multiprocess.git
 Homepage: https://github.com/uqfoundation/multiprocess
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-multiprocess
 Architecture: all
